> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-admin/troubleshooting-overview-cp/pentaho-server-issues.md).

# Pentaho Server issues

Common issues associated with the Pentaho Server.

## Publishing domain to the Pentaho Server fails

If publishing a domain to the Pentaho Server as described in the **Pentaho Metadata Editor** document fails, confirm the following statements are true:

* The Pentaho Server is running.
* Your security access is defined as the Pentaho administrator role. The default is admin.
* You did not use trailing or leading slashes in the Web Publish URL or Domain Name.

## Library conflicts

The Pentaho Server relies on many third-party libraries. These libraries provide everything from database connectivity to specific Java classes. If you have incompatible versions of any of these third-party libraries in your application server's global `lib` folder, they can cause a variety of problems related to starting and running the Pentaho Server.

Determine what versions are correct based on your needs for these third-party libraries. Some known-problematic JARs are:

* `commons-collections-3.2.jar` (from Pentaho)
* `jettison-1.01.jar` (from Pentaho)

## Report parameters that include accented characters

If you run a report containing parameters with accented characters, you may get an error message which reads, "This parameter value is of an invalid value."

To avoid this error message, modify the Tomcat server to include accented character support. This modification is especially necessary if you plan to use Spanish, French, or any other language that use accented character sets.

The following example shows how to implement accented character set support:

1. Stop the Tomcat service.

   ```
   sudo /etc/init.d/tomcat stop
   ```
2. Open the `/tomcat/server/conf/server.xml` file in a text editor.
3. Locate each `Connector` node (typically, there are four in a default Tomcat configuration).

   Add a **URIEncoding="UTF-8"** parameter to it, as shown in the following sample code block:

   ```xml
   <Connector URIEncoding="UTF-8" port="8080" protocol="HTTP/1.1"
                  connectionTimeout="20000"
                  redirectPort="8443" />
   ```
4. Save and close the file, then restart the Tomcat service.

   ```
   sudo /etc/init.d/tomcat start
   ```

## VFS provider XML duplicates

The `vfs-provider.xml` configuration file may be present in other application JARs that you have deployed to your Java application server. Having multiple instances of this file will cause classpath errors.

To resolve this issue, merge the multiple files into one canonical edition.

## Tomcat logs report memory leaks

When shutting down Tomcat, you may see some SEVERE-level warnings similar to the following messages:

{% code overflow="wrap" %}

```xml
Dec 17, 2010 10:18:19 AM org.apache.catalina.loader.WebappClassLoader clearReferencesJdbc
SEVERE: The web application [/pentaho] registered the JBDC driver [mondrian.olap4j.MondrianOlap4jDriver] but failed to unregister it when the web application was stopped. To prevent a memory leak, the JDBC Driver has been forcibly unregistered.
Dec 17, 2010 10:18:19 AM org.apache.catalina.loader.WebappClassLoader clearReferencesThreads
SEVERE: The web application [/pentaho] appears to have started a thread named [HSQLDB Timer @49cf9f] but has failed to stop it. This is very likely to create a memory leak.
Dec 17, 2010 10:18:19 AM org.apache.catalina.loader.WebappClassLoader clearReferencesThreads
SEVERE: The web application [/pentaho] appears to have started a thread named [MySQL Statement Cancellation Timer] but has failed to stop it. This is very likely to create a memory leak.
Dec 17, 2010 10:18:19 AM org.apache.catalina.loader.WebappClassLoader clearThreadLocalMap
SEVERE: The web application [/pentaho] created a ThreadLocal with key of type [java.lang.InheritableThreadLocal] (value [java.lang.InheritableThreadLocal@a1320e]) and a value of type [org.pentaho.platform.engine.security.session.TrustedSystemStartupSession] (value [org.pentaho.platform.engine.security.session.TrustedSystemStartupSession@111089b]) but failed to remove it when the web application was stopped. This is very likely to create a memory leak.
```

{% endcode %}

These warnings report problems with processes that are being removed while the Tomcat server is shutting down. However, they can be significant if you are restarting or redeploying the Pentaho Server web applications.

To avoid memory leak issues in redeployment, you should restart Tomcat rather than redeploying or restarting the web application with a live server.

## Windows domains will not authenticate when using the JTDS driver

If you are using a JTDS JDBC driver and you want to use a Windows domain user to authenticate to a Microsoft SQL Server, the Windows syntax will not work for specifying the domain and user.

The domain must be appended to the end of the URL with a semicolon, as shown in the following example:

```
jdbc:jtds:sqlserver://svn-devel.example.com:1533/reportsInProgress;domain=testdomain
```

## Unable to run XAction when using JavaScript component

Using the JavaScriptAction allows arbitrary JavaScript code to be executed within the Pentaho Server environment. It has, therefore, been decided the disable the JavaScriptAction by default. If you understand the risk of enabling the JavaScriptAction, it may be enabled by following the steps described below.

Perform the following steps to enable the JavaScript:

1. Stop the server, if it is running.
2. Navigate to `/tomcat/webapps/pentaho/WEB-INF/classes/org/pentaho/platform/engine/services/runtime`.
3. Open the `plugins.properties` file with any text editor.
4. Locate the following component names and remove the hash (#) at the beginning of each line:

   <pre class="language-javascript" data-overflow="wrap"><code class="lang-javascript"> # org.pentaho.component.JavascriptRule = !org.pentaho.platform.plugin.action.javascript.JavascriptRule

   </code></pre>

   <pre class="language-javascript" data-overflow="wrap"><code class="lang-javascript"># JavascriptRule = org.pentaho.platform.plugin.action.javascript.JavascriptRule

   </code></pre>

   <pre class="language-javascript" data-overflow="wrap"><code class="lang-javascript"># org.pentaho.plugin.javascript.JavascriptRule = !org.pentaho.platform.plugin.action.javascript.JavascriptRule

   </code></pre>
5. Save and close the file.
6. Restart the server.

## PDI cannot access Amazon S3

When trying to access Amazon S3 from the Pentaho Server using the Amazon Command Line Interface (CLI), you may receive an authentication error message. This message may appear when the Pentaho Server is not located on the same machine as the PDI client.

To resolve this error, verify that you are using the same service account to access S3 using the Amazon CLI as you are using to log in to the Pentaho Server.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/pdia-admin/troubleshooting-overview-cp/pentaho-server-issues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
